version: "2"

services:
  database:
    container_name: dailymotion_database
    image: mysql:5.7
    env_file: ./docker/mysql/.env
    volumes:
      - ./docs:/docker-entrypoint-initdb.d

  fpm:
    container_name: dailymotion_fpm
    image: hermsi/alpine-fpm-php:7.1
    volumes:
      - ".:/home/docker:rw"
    working_dir: "/home/docker"
    links:
      - database
    depends_on:
      - database

  web:
    container_name: dailymotion_web
    image: nginx:latest
    volumes:
      - ".:/home/docker"
      - "./docker/nginx/conf.d/:/etc/nginx/conf.d/:ro"
    links:
      - fpm
    depends_on:
      - fpm
    ports:
      - "12345:80"